#
# spec file for package gnonlin
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           gnonlin
Version:        1.4.0
Release:        6.3
%define gst_branch 1.0
Summary:        Non-liner audio and video support for GStreamer
License:        LGPL-2.1+
Group:          Productivity/Multimedia/Other
Url:            http://gstreamer.freedesktop.org/
Source:         http://gstreamer.freedesktop.org/src/gnonlin/%{name}-%{version}.tar.xz
Source1000:     baselibs.conf
BuildRequires:  gstreamer-plugins-base-devel >= 1.4.0
BuildRequires:  gtk-doc
# Needed to build the docs
BuildRequires:  python-xml
%define gnonlin_req %(zgrep --text "^GST.*_REQ" %{S:0} | sort -u | sed 's/GST_REQ=/gstreamer >= /;s/GSTPB_REQ=/gstreamer-plugins-base >= /' | tr '\\n' ' ')
Requires:       %gnonlin_req
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Gnonlin is a library built on top of GStreamer, which provides support
for writing non-linear audio and video editing applications. It
introduces the concept of a timeline.

%package -n gstreamer-plugin-gnonlin
Summary:        Non-liner audio and video support for GStreamer
Group:          Productivity/Multimedia/Other
Provides:       %{name} = %{version}

%description -n gstreamer-plugin-gnonlin
Gnonlin is a library built on top of GStreamer, which provides support
for writing non-linear audio and video editing applications. It
introduces the concept of a timeline.

%package -n gstreamer-plugin-gnonlin-doc
Summary:        Non-liner audio and video support for GStreamer -- Documentation
Group:          Documentation/Other
Requires:       gstreamer-plugin-gnonlin = %{version}

%description -n gstreamer-plugin-gnonlin-doc
Gnonlin is a library built on top of GStreamer, which provides support
for writing non-linear audio and video editing applications. It
introduces the concept of a timeline.

%prep
chmod 0644 %{S:0}
%setup -q

%build
%configure\
        --disable-static \
        --enable-gtk-doc
%__make %{?_smp_mflags} V=1

%install
%makeinstall
find %{buildroot}%{_libdir} -name '*.la' -delete -print

%clean
rm -rf %{buildroot}

%files -n gstreamer-plugin-gnonlin
%defattr(-, root, root)
%doc AUTHORS ChangeLog COPYING NEWS README RELEASE REQUIREMENTS
%{_libdir}/gstreamer-%{gst_branch}/libgnl.so

%files -n gstreamer-plugin-gnonlin-doc
%defattr(-, root, root)
%doc %{_datadir}/gtk-doc/html/gnonlin-1.0/

%changelog
* Tue Nov  4 2014 idonmez@suse.com
- Add baselibs.conf to sources
* Tue Nov  4 2014 dimstar@opensuse.org
- Update to version 1.4.0:
  + Minor bugfixes.
  + Improved test coverage.
* Sat Apr 12 2014 zaitor@opensuse.org
- Update to version 1.2.0:
  + Bugs fixed: bgo#596374, bgo#690881, bgo#691041, bgo#701015,
    bgo#706831.
* Sat Nov 30 2013 dimstar@opensuse.org
- Update to version 1.1.90:
  + Port to GStreamer 1.0.
- Bump gst_branch to 1.0.
- Replace BuildRequires following the port to GStreamer 1.0:
  + old: gstreamer-0_10-plugins-base-devel
  + new: gstreamer-plugins-base-devel
- Rename gstreamer-0_10-plugin-gnonlin(-doc) subpackages to
  gstreamer-plugin-gnonlin(-doc), following the naming convention
  of GStreamer plugin packages.
- Updated baselibs.conf to reflect the new package names.
* Sun Apr 24 2011 toddrme2178@gmail.com
- Add 32bit compatibility libraries
* Sat Feb  5 2011 davejplater@gmail.com
- Update to version 0.10.17
- Upstream changes:
  * documentation and debugging fixes.
  * Use glib 2.22 API if available.
- Bugfixes:
  * 628943 : make check fails if videomixer element can't be found.
  * 633721 : tests: gnl/simple: test_one_under_another failure
  / timeout.
* Mon Sep  6 2010 vuntz@opensuse.org
- Update to version 0.10.16:
  + More race fixes
  + gnlcomposition:
  - Propagate caps to childs
  - Fix QoS handling
  + gnlurisource: Only use needed streams
* Sun Aug 29 2010 vuntz@opensuse.org
- Initial package (version 0.10.15).
